#ifndef DEF_CELL
#define DEF_CELL

/* Cell.h
 * Defines the class Cell
 * A cell represents a cell in the grid
 * Creators : krilius, manzerbredes
 * Date : 29/04/2015 */

#include <iostream>
#include <string>

class Cell
{
	private:
		std::string m_value;
	
	public:
		Cell();
		Cell(std::string value);
		~Cell();

        bool isEmpty();
        bool equals(Cell * otherCell);
        std::string getValue();
    
		// Describes the cell in a terminal
		std::string description();

};

#endif

